Initiates redemption of a Share Token in one of two modes:
- **Clone:** Omit `data.attributes.destination-id` to create a new object from the source.
Inquiry and Verification Share Tokens can be cloned.
- **Hydrate:** Provide `data.attributes.destination-id` to import source data into an existing
object. Account, Transaction, and Inquiry Share Tokens can hydrate an existing Account,
Transaction, or Inquiry.
Redemption is asynchronous. A successful request returns the Share Token with a `pending`
status while Persona processes the import.
Query parameters
includestringOptional
A comma-separated list of relationship paths. This can be used to customize which related resources will be fully serialized in the `included` key in the response. See [Serialization](https://docs.withpersona.com/serialization#inclusion-of-related-resources) for more details.
fieldsmap from strings to stringsOptional
Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details.
Request
This endpoint expects an object.
Response
Share Token redemption has been initiated and is processing.
dataobject
A Share Token resource. The specific attributes and relationships included may vary based on the requesting organization's context.
includedlist of anyOptional
Excluded from the response by default. Will be an empty array when the include query parameter in the request was explicitly set to empty.